
package com.ejie.ab63.clientesWS.ab79WebService;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;

/**
 * This class was  
 * source version: 2.1
 * 
 */
@WebServiceClient(name = "ab79WebService", targetNamespace = "http://com.ejie.ab79.serviciosWeb", wsdlLocation = "META-INF/wsdls/ab79WebService.wsdl")
public class Ab79WebService extends Service {

	private final static URL AB79WEBSERVICE_WSDL_LOCATION;
	private final static Logger logger = Logger
			.getLogger(com.ejie.ab63.clientesWS.ab79WebService.Ab79WebService.class.getName());

	static {
		URL url = null;
		try {
			URL baseUrl;
			baseUrl = com.ejie.ab63.clientesWS.ab79WebService.Ab79WebService.class.getResource(".");
			url = new URL(baseUrl, "META-INF/wsdls/ab79WebService.wsdl");
		} catch (MalformedURLException e) {
			logger.warning(
					"Failed to create URL for the wsdl Location: 'META-INF/wsdls/ab79WebService.wsdl', retrying as a local file");
			logger.warning(e.getMessage());
		}
		AB79WEBSERVICE_WSDL_LOCATION = url;
	}

	public Ab79WebService(URL wsdlLocation, QName serviceName) {
		super(wsdlLocation, serviceName);
	}

	public Ab79WebService() {
		super(AB79WEBSERVICE_WSDL_LOCATION, new QName("http://com.ejie.ab79.serviciosWeb", "ab79WebService"));
	}

	/**
	 * 
	 * @return returns WebServiceImpl
	 */
	@WebEndpoint(name = "ab79WebServicePort")
	public WebServiceImpl getAb79WebServicePort() {
		return super.getPort(new QName("http://com.ejie.ab79.serviciosWeb", "ab79WebServicePort"),
				WebServiceImpl.class);
	}

	/**
	 * 
	 * @param features
	 *            A list of {@link javax.xml.ws.WebServiceFeature} to configure
	 *            on the proxy. Supported features not in the
	 *            <code>features</code> parameter will have their default
	 *            values.
	 * @return returns WebServiceImpl
	 */
	@WebEndpoint(name = "ab79WebServicePort")
	public WebServiceImpl getAb79WebServicePort(WebServiceFeature... features) {
		return super.getPort(new QName("http://com.ejie.ab79.serviciosWeb", "ab79WebServicePort"), WebServiceImpl.class,
				features);
	}

}
